- Qt 6.8
- Qt GUI
- C++ Classes
- QtGuiPrivate
- ViewFormat
- Qt 6.8.3 Reference Documentation

# ViewFormat Struct

struct QRhiTexture::ViewFormat

Specifies the view format for reading or writing from or to the texture. More...

This struct was introduced in Qt 6.8.

- List of all members, including inherited members

## Public Variables

QRhiTexture::Format | format
bool | srgb

## Detailed Description

Note: This is a RHI API with limited compatibility guarantees, see QRhi for details.

## Member Variable Documentation

### QRhiTexture::Format ViewFormat::format

### bool ViewFormat::srgb